.TH getdtablesize() "" "" "Sockets Function (libsocket)"
.PC "Get the number of files a process can open"
\fBint getdtablesize()\fR
.PP
Function
.B getdtablesize()
returns the number of file descriptors (and hence, the number of files)
that a process can have open at any one time.
It is meant to be an operating-system independent means of determining this
value; under \*(CO, it returns the value of the manifest constant
.BR OPEN_MAX .
.SH "See Also"
.Xr "libsocket" libsocket
